<template>
  <div style="width: 100%; padding: 0; margin: auto; box-shadow: 1px 8px 0 rgba(0,0,0,0.2), -7px 0 5px -3px #4caf50">
    <div class="row">
      <div class="col-md-3">
      <div style="background-color: lightgrey; box-shadow: 0 0px 8px 0 rgba(0,0,0,0.2), -7px 0 5px -3px #c2c2c2; width: 85%; margin: 0 auto 0 auto">
        <h4 style="text-align: center; margin-bottom: 0"> FILTER</h4>
      </div>
        <div style="box-shadow: 0 0px 8px 0 rgba(0,0,0,0.2), -7px 0 5px -3px #c2c2c2;  width: 85%; margin: 0 auto 0 auto">
          <q-list bordered class="rounded-borders">
            <q-expansion-item
              style="font-size: 18px"
              class="text-weight-bold"
              group="menu"
              expand-separator
              label="Barang"
              :content-inset-level="1"
            >
              <q-list>
                <q-item clickable v-ripple tag="a" to="/profile">
                  <q-item-section style="font-size: 14px" class="text-weight-regular">Material</q-item-section>
                </q-item>
                <q-item clickable v-ripple tag="a" to="/profile">
                  <q-item-section style="font-size: 14px" class="text-weight-regular">Alat Berat</q-item-section>
                </q-item>
              </q-list>
            </q-expansion-item>

            <q-expansion-item
              style="font-size: 18px"
              class="text-weight-bold"
              group="menu"
              expand-separator
              label="Jasa"
              :content-inset-level="1"
            >
              <q-list>
                <q-item clickable v-ripple tag="a" to="/profile">
                  <q-item-section style="font-size: 14px" class="text-weight-regular">Kontraktor</q-item-section>
                </q-item>
                <q-item clickable v-ripple tag="a" to="/profile">
                  <q-item-section style="font-size: 14px" class="text-weight-regular">Tenaga Ahli</q-item-section>
                </q-item>
                <q-item clickable v-ripple tag="a" to="/profile">
                  <q-item-section style="font-size: 14px" class="text-weight-regular">Terampil</q-item-section>
                </q-item>
              </q-list>
            </q-expansion-item>

            <q-expansion-item
              style="font-size: 18px"
              class="text-weight-bold"
              group="menu"
              expand-separator
              label="Lowongan"
              :content-inset-level="1"
            >
              <q-list>
                <q-item clickable v-ripple tag="a" to="/profile">
                  <q-item-section style="font-size: 14px" class="text-weight-regular">asd</q-item-section>
                </q-item>
                <q-item clickable v-ripple tag="a" to="/profile">
                  <q-item-section style="font-size: 14px" class="text-weight-regular">asd</q-item-section>
                </q-item>
                <q-item clickable v-ripple tag="a" to="/profile">
                  <q-item-section style="font-size: 14px" class="text-weight-regular">asd</q-item-section>
                </q-item>
              </q-list>
            </q-expansion-item>

            <q-expansion-item
              style="font-size: 18px"
              class="text-weight-bold"
              group="menu"
              expand-separator
              label="Proyek"
              :content-inset-level="1"
            >
              <q-list>
                <q-item clickable v-ripple tag="a" to="/profile">
                  <q-item-section style="font-size: 14px" class="text-weight-regular">asd</q-item-section>
                </q-item>
                <q-item clickable v-ripple tag="a" to="/profile">
                  <q-item-section style="font-size: 14px" class="text-weight-regular">asd</q-item-section>
                </q-item>
                <q-item clickable v-ripple tag="a" to="/profile">
                  <q-item-section style="font-size: 14px" class="text-weight-regular">asd</q-item-section>
                </q-item>
              </q-list>
            </q-expansion-item>

            <q-expansion-item
              style="font-size: 18px"
              class="text-weight-bold"
              group="menu"
              expand-separator
              label="Investor"
              :content-inset-level="1"
            >
              <q-list>
                <q-item clickable v-ripple tag="a" to="/profile">
                  <q-item-section style="font-size: 14px" class="text-weight-regular">asd</q-item-section>
                </q-item>
                <q-item clickable v-ripple tag="a" to="/profile">
                  <q-item-section style="font-size: 14px" class="text-weight-regular">asd</q-item-section>
                </q-item>
                <q-item clickable v-ripple tag="a" to="/profile">
                  <q-item-section style="font-size: 14px" class="text-weight-regular">asd</q-item-section>
                </q-item>
              </q-list>
            </q-expansion-item>

          </q-list>
        </div>
        <div style="box-shadow: 0 0px 8px 0 rgba(0,0,0,0.2), -7px 0 5px -3px #c2c2c2; height: 50px; background-color: lightgrey; width: 85%; margin: 0 auto 0 auto">
          <p>&nbsp;</p>
          <h6 class="text-weight-medium" style="margin-top: -30px; margin-left: 20px"> Filter lokasi</h6>
        </div>
        <div style="width: 85%; margin: 0 auto 0 auto; box-shadow: 0 0px 8px 0 rgba(0,0,0,0.2), -7px 0 5px -3px #c2c2c2;">
          <p>&nbsp;</p>
          <q-input style="width: 80%; margin: -15px auto 0 auto" outlined bottom-slots v-model="text"  :dense="dense">
            <template v-slot:append>
              <q-icon name="search" />
            </template>
          </q-input>
        </div>
        <div style="box-shadow: 0 0px 8px 0 rgba(0,0,0,0.2), -7px 0 5px -3px #c2c2c2; height: 50px; background-color: lightgrey; width: 85%; margin: 0 auto 0 auto">
          <p>&nbsp;</p>
          <h6 class="text-weight-medium" style="margin-top: -30px; margin-left: 20px">Cari Produk</h6>
        </div>
        <div style="width: 85%; margin: 0 auto 0 auto; box-shadow: 0 0px 8px 0 rgba(0,0,0,0.2), -7px 0 5px -3px #c2c2c2;">
          <p>&nbsp;</p>
          <q-input style="width: 80%; margin: -15px auto 10px auto" outlined bottom-slots v-model="text"  :dense="dense">
            <template v-slot:append>
              <q-icon name="search" />
            </template>
          </q-input>
          <p style="margin-top: 360px">&nbsp;</p>
        </div>

      </div>

      <div class="col-md-9">
        <h4 class="text-weight-medium" style="margin: 45px 0 5px auto"> Kontraktor</h4>
        <div class="row">
          <p style="margin: 0 3px 0 3px">Beranda</p>
          <p style="margin: 0 3px 0 3px"> > </p>
          <p style="margin: 0 3px 0 3px">Jasa</p>
          <p style="margin: 0 3px 0 3px"> > </p>
          <p style="margin: 0 3px 0 3px">Kontraktor</p>
        </div>
        <div style="box-shadow: 0 0px 8px 0 rgba(0,0,0,0.2), -7px 0 5px -3px #c2c2c2; width: 90%; margin: 15px 0 auto 0; height: 900px">
          <p>&nbsp;</p>
          <p style="margin: -20px auto -20px 20px">Menanmpilkan 6 Produk Untuk "Kontraktor" (1-6 of 24)</p>
          <div class="q-pa-md">
            <q-carousel
              v-model="slide"
              transition-prev="slide-right"
              transition-next="slide-left"
              animated
              control-color="primary"
              class="rounded-borders"
              style="height: 800px"
            >
              <q-carousel-slide name="style" class="column no-wrap flex-center">
                <div class="row fit justify-center items-center q-gutter-xs q-col-gutter no-wrap">
                  <q-card class="my-card" flat bordered style="margin-right: 25px; margin-left: auto; height: 350px">
                    <q-img src="~assets/ptamelga.png"/>
                    <q-card-section style="padding-top: 0">
                      <div class="text-subtitle1 text-weight-bold q-mt-sm q-mb-xs" >Konsultan Kontruksi</div>
                      <div class="text-caption text-weight-medium">PT Almega Jaya</div>
                      <div class="row" style="margin-top: 10px">
                        <q-icon name="location_on" size="150%"></q-icon>
                        <p>Bandung</p>
                      </div>
                    </q-card-section>
                  </q-card>
                  <q-card class="my-card" flat bordered style="margin-right: 25px; height: 350px">
                    <q-img src="~assets/integrity.png"/>
                    <q-card-section style="padding-top: 0">
                      <div class="text-subtitle1 text-weight-bold q-mt-sm q-mb-xs" >Jaksa Pelaksana Saluran Air</div>
                      <div class="text-caption text-weight-medium">OIBBB</div>
                      <div class="row" style="margin-top: 10px">
                        <q-icon name="location_on" size="150%"></q-icon>
                        <p>Bandung</p>
                      </div>
                    </q-card-section>
                  </q-card>
                  <q-card class="my-card" flat bordered style="margin-right: auto; height: 350px">
                    <q-img src="~assets/amarta.png" style="size: 80px"/>
                    <q-card-section style="padding-top: 0px">
                      <div class="text-subtitle1 text-weight-bold q-mt-sm q-mb-xs" >Jasa Kontruksi Instalasi...</div>
                      <div class="text-caption text-weight-medium">PT Amarta Consulting</div>
                      <div class="row" style="margin-top: 10px">
                        <q-icon name="location_on" size="150%"></q-icon>
                        <p>Surabaya</p>
                      </div>
                    </q-card-section>
                  </q-card>
                </div>
                <div class="row fit justify-center items-center q-gutter-xs q-col-gutter no-wrap">
                  <q-card class="my-card" flat bordered style="margin-right: 25px; margin-left: auto; height: 350px">
                    <q-img src="~assets/ptamelga.png"/>
                    <q-card-section style="padding-top: 0">
                      <div class="text-subtitle1 text-weight-bold q-mt-sm q-mb-xs" >Konsultan Kontruksi</div>
                      <div class="text-caption text-weight-medium">PT Almega Jaya</div>
                      <div class="row" style="margin-top: 10px">
                        <q-icon name="location_on" size="150%"></q-icon>
                        <p>Bandung</p>
                      </div>
                    </q-card-section>
                  </q-card>
                  <q-card class="my-card" flat bordered style="margin-right: 25px; height: 350px">
                    <q-img src="~assets/integrity.png"/>
                    <q-card-section style="padding-top: 0">
                      <div class="text-subtitle1 text-weight-bold q-mt-sm q-mb-xs" >Jaksa Pelaksana Saluran Air</div>
                      <div class="text-caption text-weight-medium">OIBBB</div>
                      <div class="row" style="margin-top: 10px">
                        <q-icon name="location_on" size="150%"></q-icon>
                        <p>Bandung</p>
                      </div>
                    </q-card-section>
                  </q-card>
                  <q-card class="my-card" flat bordered style="margin-right: auto; height: 350px">
                    <q-img src="~assets/amarta.png" style="size: 80px"/>
                    <q-card-section style="padding-top: 0px">
                      <div class="text-subtitle1 text-weight-bold q-mt-sm q-mb-xs" >Jasa Kontruksi Instalasi...</div>
                      <div class="text-caption text-weight-medium">PT Amarta Consulting</div>
                      <div class="row" style="margin-top: 10px">
                        <q-icon name="location_on" size="150%"></q-icon>
                        <p>Surabaya</p>
                      </div>
                    </q-card-section>
                  </q-card>
                </div>
              </q-carousel-slide>
              <q-carousel-slide name="tv" class="column no-wrap flex-center">
                <q-icon name="live_tv" color="primary" size="56px" />
                <div class="q-mt-md text-center">
                  Halaman 2
                </div>
              </q-carousel-slide>
              <q-carousel-slide name="layers" class="column no-wrap flex-center">
                <q-icon name="layers" color="primary" size="56px" />
                <div class="q-mt-md text-center">
                  Halaman 3
                </div>
              </q-carousel-slide>
              <q-carousel-slide name="map" class="column no-wrap flex-center">
                <q-icon name="terrain" color="primary" size="56px" />
                <div class="q-mt-md text-center">
                  Halaman 4
                </div>
              </q-carousel-slide>
            </q-carousel>

            <div class="row justify-center">
              <q-btn-toggle
                glossy
                v-model="slide"
                :options="[
          { label: 1, value: 'style' },
          { label: 2, value: 'tv' },
          { label: 3, value: 'layers' },
          { label: 4, value: 'map' }
        ]"
              />
            </div>
          </div>

        </div>

      </div>
    </div>


    <div class="row justify-center" style="margin: 20px auto 30px auto; overflow: scroll; scrollbar-width: none; width: 80%" >
      <q-img src="~assets/iklan.jpg"/>
    </div>

    <div class="row" style="background-color: #e8ebe9;">
      <div class="col-md-1 col-sm-1 col-xs-0" style="margin-top: 50px">
      </div>
      <div class="col-md-4 col-sm-4 col-xs-12" style="margin-top: 50px; text-align: center">
        <img style="max-width: 11.53rem; margin-top: 5px;" src="~assets/logo_green.png">
        <p class="text-weight-medium"  style="margin-top: 30px">Satu Aplikasi Jaringan Konstruksi Indonesia.</p>
        <p class="text-caption text-grey" style="margin-top: 30px">Pusat Niaga Dutamas Fatmawati Blok A2 No.7 Jakarta Selatan</p>
        <p class="text-weight-medium"  style="margin-top: 60px; margin-bottom: 15px">Get In Touch</p>
        <div class="row" style="margin-bottom: 70px; text-align: center">
          <q-btn style="margin-left: auto" size="10px" round color="dark"><q-img src="~assets/facebook.png" style=""/></q-btn>
          <q-btn style="margin-left: 10px" size="10px" round color="dark"><q-img src="~assets/twiter.png" style=""/></q-btn>
          <q-btn style="margin-left: 10px" size="10px" round color="dark"><q-img src="~assets/pinterest.png" style=""/></q-btn>
          <q-btn style="margin-left: 10px" size="10px" round color="dark"><q-img src="~assets/linkedin.png" style=""/></q-btn>
          <q-btn style="margin-left: 10px" size="10px" round color="dark"><q-img src="~assets/su.png" style=""/></q-btn>
          <q-btn style="margin-left: 10px" size="10px" round color="dark"><q-img src="~assets/jeruk.png" style=""/></q-btn>
          <q-btn style="margin-left: 10px; margin-right: auto" size="10px" round color="dark"><q-img src="~assets/vk.png" style=""/></q-btn>
        </div>
      </div>
      <div class="col-md-1 col-sm-1 col-xs-0" style="margin-top: 50px">
      </div>
      <div class="col-md-2 col-sm-2 col-xs-4 footer-sm" style="text-align: center">
        <p class="text-weight-medium">Information</p>
        <p class="text-caption text-grey" style="margin-top: 40px">About us</p>
        <p class="text-caption text-grey" >Contact Us</p>
        <p class="text-caption text-grey">Maps</p>
        <p class="text-caption text-grey">Careers</p>
      </div>
      <div class="col-md-2 col-sm-2 col-xs-4 footer-sm" style="text-align: center">
        <p class="text-weight-medium">Member</p>
        <p class="text-caption text-grey" style="margin-top: 40px">Platinum</p>
        <p class="text-caption text-grey">Gold</p>
        <p class="text-caption text-grey">Silver</p>
      </div>
      <div class="col-md-2 col-sm-2 col-xs-4 footer-sm" style="text-align: center">
        <p class="text-weight-medium">Top Categories</p>
        <p class="text-caption text-grey" style="margin-top: 40px">Constructor</p>
        <p class="text-caption text-grey">Architect</p>
        <p class="text-caption text-grey">Developer</p>
        <p class="text-caption text-grey">Expert</p>
      </div>
    </div>

    <div class="row" style="background-color: #262626; height: 50px">
      <div class="col-md-6 col-sm-6 col-xs-12" style="justify-content: center; align-items: center; display: flex">
        <p style="color: white; margin: auto 0; display: inline-block">&copy;</p>
        <p class="text-weight-medium;" style="color: white; margin: auto 0; display: inline-block">Jarkons</p>
        <p class="text-caption text-grey" style="color: white; margin: auto 0 auto 5px; display: inline-block"> - All Rights Reserved </p>
      </div>
      <div class="col-md-6 col-sm-6 col-xs-12 footer-2-sm-crd" style="align-items: center; display: flex; padding-bottom: 5px">
        <div class="button-holder fadeInDown-3" style="display: inline-block; margin-right: 10px"><q-btn size="8px" style="background-color:ghostwhite"><q-img src="~assets/payment-visa.png" style="width: 40px; height: 25px"/></q-btn></div>
        <div class="button-holder fadeInDown-3" style="display: inline-block; margin-right: 10px"><q-btn size="8px" style="background-color:ghostwhite"><q-img src="~assets/payment-master.png" style="width: 40px; height: 25px"/></q-btn></div>
        <div class="button-holder fadeInDown-3" style="display: inline-block; margin-right: 10px"><q-btn size="8px" style="background-color:ghostwhite"><q-img src="~assets/payment-paypal.png" style="width: 40px; height: 25px"/></q-btn></div>
        <div class="button-holder fadeInDown-3" style="display: inline-block; margin-right: 10px"><q-btn size="8px" style="background-color:ghostwhite"><q-img src="~assets/payment-discover.png" style="width: 40px; height: 25px"/></q-btn></div>
      </div>
    </div>

  </div>
</template>

<script>
export default {
  name: 'MenuSamping',

  data () {
    return {
      slide: 'style',
      lorem: 'Lorem ipsum dolor, sit amet consectetur adipisicing elit. Itaque voluptatem totam, architecto cupiditate officia rerum, error dignissimos praesentium libero ab nemo provident incidunt ducimus iusto perferendis porro earum. Totam, numquam?',
      text: '',
      ph: '',

      dense: false
    }
  },

  computed: {
    user: {
      get() {
        return this.$store.state.user.user;
      },
      set(value) {
        return this.$store.commit("user/updateUserDetail", value);
      }
    }
  }
}

</script>


<style lang="sass" scoped>

.my-card
  width: 100%
  max-width: 350px

</style>

<style lang="scss" scoped>
.absolute-sm {
  @media screen and (min-width: 0px) and (max-width: 991px) {

    position: absolute;
    z-index: -1;
  }
}

.absolute-sm-text {
  margin-top: 30px;
  margin-left: 50px;
  @media screen and (min-width: 0px) and (max-width: 991px) {
    margin-top: 15px;
    margin-left: 25px;
  }
}

.footer-sm {
  margin-top: 50px;
  @media screen and (min-width: 0px) and (max-width: 767px) {
    margin-top: 0;
  }
}

.absolute-sm-img {
  width: 90%;
  @media screen and (min-width: 0px) and (max-width: 991px) {
    width: 67%;
  }
}

.sm-img-scroll {
  @media screen and (min-width: 0px) and (max-width: 991px) {
    min-width: 300px;
  }
}

.footer-2-sm-crd {
  justify-content: right;
  @media screen and (min-width: 0px) and (max-width: 767px) {
    justify-content: center;
  }
}

</style>
